cl_ensemble {clue} | R Documentation

## Cluster Ensembles

### Description

Creation and manipulation of cluster ensembles.

### Usage

    cl_ensemble(..., list = NULL)
    as.cl_ensemble(x)
    is.cl_ensemble(x)

### Arguments

`...` | R objects representing clusterings of or dissimilarities between the same objects.
`list` | a list of R objects as in `...`.
`x` | for `as.cl_ensemble`, an R object as in `...`; for `is.cl_ensemble`, an arbitrary R object.

### Details

`cl_ensemble` creates “cluster ensembles”, which are realized as lists of clusterings (or dissimilarities) with additional class information, always inheriting from `"cl_ensemble"`. All elements of the ensemble must have the same number of objects.

If all elements are partitions, the ensemble has class `"cl_partition_ensemble"`; if all elements are dendrograms, it has class `"cl_dendrogram_ensemble"` and inherits from `"cl_hierarchy_ensemble"`; if all elements are hierarchies (but not always dendrograms), it has class `"cl_hierarchy_ensemble"`. Note that empty or “mixed” ensembles cannot be categorized according to the kind of elements they contain, and hence only have class `"cl_ensemble"`.

The list representation makes it possible to use `lapply` for computations on the individual clusterings in (i.e., the components of) a cluster ensemble.

Available methods for cluster ensembles include those for subscripting, `c`, `rep`, and `print`. There is also a `plot` method for ensembles for which all elements can be plotted (currently, additive trees, dendrograms and ultrametrics).

### Value

`cl_ensemble` returns a list of the given clusterings or dissimilarities, with additional class information (see Details).

### Examples

    d <- dist(USArrests)
    hclust_methods <-
        c("ward", "single", "complete", "average", "mcquitty")
    hclust_results <- lapply(hclust_methods, function(m) hclust(d, m))
    names(hclust_results) <- hclust_methods
    ## Now create an ensemble from the results.
    hens <- cl_ensemble(list = hclust_results)
    hens
    ## Subscripting.
    hens[1 : 3]
    ## Replication.
    rep(hens, 3)
    ## Plotting.
    plot(hens, main = names(hens))
    ## And continue to analyze the ensemble, e.g.
    round(cl_dissimilarity(hens, method = "gamma"), 4)

[Package clue version 0.3-57 Index]